Bug 1288835 - (python-interfile) Review Request: python-interfile - Python module for read/write/parse interfile
Review Request: python-interfile - Python module for read/write/parse interfile
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: python-simplewrap
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-12-06 07:36 EST by Igor Gnatenko
Modified: 2015-12-28 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 17:58:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-06 07:36:07 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-interfile.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-interfile-0.3.1-1.fc24.src.rpm
Description: Interfile read, write and convert.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-08 16:56:52 EST
Please extend %description. It should at least say what an "interfile" is. Also, what can you convert the interfile to?

+ license is OK (BSD)
+ license file is not present, but upstream has been notified
+ latest version
+ new python template is used
+ no scriptlets
+ %check is present and tests pass
+ provides and requires look fine

Package is APPROVED, please fix %description.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-12-12 11:06:40 EST
This isn't much better :) The fact that this is a Python module is kind of obvious from the package name... It's the "interfile" that is cryptic.
Comment 3 Gwyn Ciesla 2015-12-12 12:23:05 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-interfile
Comment 4 Igor Gnatenko 2015-12-12 12:56:59 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> This isn't much better :) The fact that this is a Python module is kind of
> obvious from the package name... It's the "interfile" that is cryptic.

I updated description with some explanation...
Comment 5 Fedora Update System 2015-12-12 13:27:20 EST
python-interfile-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c3e180d1a9
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-12-12 15:04:27 EST
%description is nice. Maybe "Python module to read and write PET interfile format" would be better than "Pyhon module for read/write/parse interfile" (which has a typo and is awkward gramatically).
Comment 7 Fedora Update System 2015-12-13 12:21:46 EST
python-interfile-0.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-interfile'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c3e180d1a9
Comment 8 Fedora Update System 2015-12-28 17:58:28 EST
python-interfile-0.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.